# Список серверов

## Получение списка серверов магазина

<mark style="color:blue;">`GET`</mark> `https://easydonate.ru/api/v3/shop/servers`

Запрос вернет список серверов, а также все привязанные к ним товары.

#### Headers

| Name                                       | Type   | Description              |
| ------------------------------------------ | ------ | ------------------------ |
| Shop-Key<mark style="color:red;">\*</mark> | string | Уникальный ключ магазина |

{% tabs %}
{% tab title="200: OK Запрос успешно обработан" %}

```
{
   "success": true,
   "response": [
      {
         "id": 965,
         "name": "Выживание",
         "ip": "alcor.mcstudio.pro",
         "port": "25641",
         "version": "",
         "is_port_hidden": 0,
         "hide_ip": 0,
         "is_hidden": 0,
         "shop_id": 531,
         "created_at": "2021-02-22 17:44:47",
         "updated_at": "2021-03-26 13:51:42",
         "products": [
            {
               "id": 6074,
               "name": "Алмазный меч",
               "price": 49,
               "old_price": null,
               "type": "item",
               "number": 1,
               "commands": [
                  "give {user} 276 {amount}"
               ],
               "withdraw_commands": null,
               "withdraw_commands_days": null,
               "additional_fields": null,
               "description": null,
               "image": "http://cp.easydonate.ru/storage/app/media/Diamond%20Sword-min.png",
               "first_delete": 0,
               "shop_id": 531,
               "created_at": "2021-02-24 18:02:40",
               "updated_at": "2021-03-26 13:52:39",
               "sort_index": 0
            }
         ]
      }
   ]
}
```

{% endtab %}

{% tab title="404: Not Found Ошибка" %}

```
{
    "status": false,
    "response": "Магазин не найден.",
    "error_code": 1
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easydonate.ru/shop/servers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
